package type;
public class SpliceConsensusHelper
{
	private static org.omg.CORBA.TypeCode _type = org.omg.CORBA.ORB.init().create_struct_tc(id(),"SpliceConsensus",new org.omg.CORBA.StructMember[]{new org.omg.CORBA.StructMember("five_cons",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(8)),null),new org.omg.CORBA.StructMember("three_cons",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(8)),null)});
	public SpliceConsensusHelper ()
	{
	}
	public static void insert(org.omg.CORBA.Any any, type.SpliceConsensus s)
	{
		any.type(type());
		write( any.create_output_stream(),s);
	}
	public static type.SpliceConsensus extract(org.omg.CORBA.Any any)
	{
		return read(any.create_input_stream());
	}
	public static org.omg.CORBA.TypeCode type()
	{
		return _type;
	}
	public String get_id()
	{
		return id();
	}
	public org.omg.CORBA.TypeCode get_type()
	{
		return type();
	}
	public void write_Object(org.omg.CORBA.portable.OutputStream out, java.lang.Object obj)
	{
		 throw new RuntimeException(" not implemented");
	}
	public java.lang.Object read_Object(org.omg.CORBA.portable.InputStream in)
	{
		 throw new RuntimeException(" not implemented");
	}
	public static String id()
	{
		return "IDL:type/SpliceConsensus:1.0";
	}
	public static type.SpliceConsensus read(org.omg.CORBA.portable.InputStream in)
	{
		type.SpliceConsensus result = new type.SpliceConsensus();
		result.five_cons=in.read_boolean();
		result.three_cons=in.read_boolean();
		return result;
	}
	public static void write(org.omg.CORBA.portable.OutputStream out, type.SpliceConsensus s)
	{
out.write_boolean(s.five_cons);
out.write_boolean(s.three_cons);
	}
}
